# Interface UnknownAttribute

All Superinterfaces:
  `Attribute<UnknownAttribute>`, `ClassElement`, `ClassFileElement`, `FieldElement`, `MethodElement`

public sealed interface UnknownAttribute extends Attribute<UnknownAttribute>, ClassElement, MethodElement, FieldElement
Models an unknown attribute read from a `class` file. An attribute is unknown if it is not recognized by one of the mappers in `Attributes` and is not recognized by the `ClassFile.AttributesProcessingOption`.

This attribute is not delivered in the traversal of a `CodeModel`.

An unknown attribute may appear anywhere where an attribute may appear, and has an unknown data dependency.

Since:
  24
See Also:
  - `CustomAttribute`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`contents()`
Returns the uninterpreted contents of the attribute payload.

### Methods declared in interface java.lang.classfile.Attribute

`attributeMapper, attributeName`

## Method Details

### contents

byte[] contents()
Returns the uninterpreted contents of the attribute payload.

Returns:
  the uninterpreted contents of the attribute payload